
package de.ivu.elect.presentation.ergebniskonflikt;

import javax.enterprise.inject.Specializes;

import de.ivu.elect.business.ergebniskonflikt.entity.ErgebnisKonflikt;
import de.ivu.elect.business.ergebniskonflikt.entity.ErgebnisKonfliktProperties;
import de.ivu.elect.jee.presentation.dynamicform.FormBuilder;
import de.ivu.elect.jee.presentation.dynamicform.ReadOnlyStringProperty;

@Specializes
public class NlErgebnisKonfliktLosoptionenAuswaehlenView extends ErgebnisKonfliktLosoptionenAuswaehlenView {

  private static final long serialVersionUID = 1L;

  public NlErgebnisKonfliktLosoptionenAuswaehlenView() {
    super();
  }

  @Override
  public void addProperties(FormBuilder formBuilder, ErgebnisKonflikt ergebnisKonflikt) {
    ErgebnisKonfliktProperties ergebnisKonfliktProperties = ergebnisKonflikt.getProperties();

    formBuilder.addProperty(ergebnisKonfliktProperties.getErgebnisKonfliktStatusProperty());
    formBuilder.addProperty(ergebnisKonfliktProperties.getKonfliktBeschreibungProperty());
    formBuilder.addProperty(new ReadOnlyStringProperty("", "")); //ELECTVAPP-260

    // Alle bisherigen Properties sind immer readonly!
    formBuilder.globalReadonly();

    addErgebnisKonfliktLoesungProperties(formBuilder, ergebnisKonflikt);
  }
}
